## libapogee3 3.2+20221221183454

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(libapogee C CXX)

set(CMAKE_CXX_STANDARD 11)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(APOGEE_VERSION "3.2")
set(APOGEE_SOVERSION "3")

IF(APPLE)
set(CONF_DIR "/usr/local/lib/indi/DriverSupport/" CACHE STRING "Base configuration directory")
ELSE(APPLE)
set(CONF_DIR "/etc" CACHE STRING "Base configuration directory")
set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
ENDIF()

# IMPORTANT: When update libapogee code to upstream. Do not forget to save apgHelper.cpp as the configuration file
# is hardcoded in the upstream version while it is used from configuration file here.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

find_package(USB1 REQUIRED)
find_package(CURL REQUIRED)
find_package(INDI REQUIRED)

if (CMAKE_VERSION VERSION_LESS 3.12.0)
set(CURL ${CURL_LIBRARIES})
else()
set(CURL CURL::libcurl)
endif()

include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/linux)
include_directories( ${CURL_INCLUDE_DIR})

# This is for craft builds
include_directories("${CMAKE_INSTALL_PREFIX}/include")

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error")

# Less error prone with libapogee upstream updates since they do not use CMake
file(GLOB libapogee_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/linux/*.cpp)

# Windows file
list(REMOVE_ITEM libapogee_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/COMHelper.cpp")
# Missing headers
list(REMOVE_ITEM libapogee_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/AspenFx2.cpp")

add_library(apogee SHARED ${libapogee_SRCS})

set_target_properties(apogee PROPERTIES VERSION ${APOGEE_VERSION} SOVERSION ${APOGEE_SOVERSION})

target_link_libraries(apogee ${USB1_LIBRARIES} ${CURL})

install(TARGETS apogee LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

file(GLOB libapogee_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/*.h)
install( FILES ${libapogee_HEADERS} DESTINATION include/libapogee COMPONENT Devel)

install(
   CODE "
   file(GLOB APOGEE_CONF ${CMAKE_CURRENT_SOURCE_DIR}/conf/*) \n
   file(INSTALL DESTINATION ${CONF_DIR}/Apogee/camera TYPE FILE FILES \${APOGEE_CONF})"
 )

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(FILES 99-apogee.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
ENDIF()

## libapogee3 3.2%2B20221221183454

=== debian/control ===
Source: libapogee3
Section: libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libcurl4-gnutls-dev
	, libusb-1.0-0-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/indilib/indi-3rdparty/tree/master/libapogee
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libapogee3
Vcs-Git: https://salsa.debian.org/debian-astro-team/libapogee3.git

Package: libapogee3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Apogee Library for camera control
 This package contains the standalone version of the Apogee device drivers
 for Linux. It is primarily intended for developers wishing to add Apogee
 camera control options to their software. It can also be used to control
 Apogee CCDs and Filter Wheels.
 .
 This package includes the library.

Package: libapogee-dev
Section: libdevel
Architecture: any
Depends: libapogee3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Apogee Library for camera control, development headers
 This package contains the standalone version of the Apogee device drivers
 for Linux. It is primarily intended for developers wishing to add Apogee
 camera control options to their software. It can also be used to control
 Apogee CCDs and Filter Wheels.
 .
 This package includes development headers.

## libapogee3 3.2+20220127213450

=== debian/changelog ===
libapogee3 (3.2+20220127213450-1) unstable; urgency=medium

  * build version from git
  * all patches applied upstream
  * debian/libapogee3.install: rules file moved to lib/...

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 27 Jan 2022 22:05:46 +0000

libapogee3 (3.2-2) unstable; urgency=medium

  * source upload
  * debian/control: set maintainer to debian-astro
  * debian/control: set Vcs-*

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 29 Oct 2021 19:00:00 +0200

libapogee3 (3.2-1) unstable; urgency=medium

  * initial upload

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 05 Oct 2021 19:00:00 +0200

## libapogee3 3.2+20220606235519

=== debian/changelog ===
libapogee3 (3.2+20220606235519-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Thorsten Alteholz ]
  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Jun 2022 23:55:38 +0000

## libapogee3 3.2+20221221183454

=== debian/changelog ===
libapogee3 (3.2+20221221183454-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113111)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:43:01 +0200

libapogee3 (3.2+20221221183454-2) unstable; urgency=medium

  * ack NMU
  * Move files to /usr and mitigate file loss. (Closes: #1057800)
    (Thanks to Helmut Grohne for the patch)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 May 2024 21:36:16 +0000

libapogee3 (3.2+20221221183454-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062220

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:39:11 +0000

libapogee3 (3.2+20221221183454-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 3.2

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 18:36:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,24 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 	, cmake
 	, libindi-dev
 	, libcurl4-gnutls-dev
 	, libusb-1.0-0-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/indilib/indi-3rdparty/tree/master/libapogee
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libapogee3
 Vcs-Git: https://salsa.debian.org/debian-astro-team/libapogee3.git
 
-Package: libapogee3
+Package: libapogee3t64
+Provides: ${t64:Provides}
+Replaces: libapogee3
+Conflicts: libapogee3 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Apogee Library for camera control
  This package contains the standalone version of the Apogee device drivers
  for Linux. It is primarily intended for developers wishing to add Apogee
@@ -28,7 +32,7 @@
 Package: libapogee-dev
 Section: libdevel
 Architecture: any
-Depends: libapogee3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libapogee3t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Apogee Library for camera control, development headers
  This package contains the standalone version of the Apogee device drivers
  for Linux. It is primarily intended for developers wishing to add Apogee

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
